Bug 1425591 - Unable to create snapshot If there is no active snapshot existing for a VM
Summary: Unable to create snapshot If there is no active snapshot existing for a VM
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Brian McLaughlin
QA Contact: Aziza Karol
URL:
Whiteboard: service:snapshot
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-21 20:10 UTC by Shveta
Modified: 2017-05-31 14:35 UTC (History)
5 users (show)

Fixed In Version: 5.8.0.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:35:58 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
snapshot (76.06 KB, image/png)
2017-02-21 20:10 UTC, Shveta
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Shveta 2017-02-21 20:10:03 UTC
Created attachment 1256241 [details]
snapshot

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. create a service with a VM .
2. create snapshot for the VM link is inactive.
3. Message on the icon says "select the active snapshot to create new snapshot for the VM".
4. Workaround : create snapshot from provider and then we can create more snapshots from CFME.

Actual results:


Expected results:


Additional info:

Comment 2 Shveta 2017-02-21 20:11:55 UTC
Version - 5.8.0.1-nightly.20170217165449_ee3e7b9

Comment 4 Harpreet Kataria 2017-02-27 17:51:42 UTC
Brian,

It appears from the code that toolbar button is not available when a VM does not have any snapshots. I think we do not need the check here for @active
https://github.com/ManageIQ/manageiq-ui-classic/blob/master/app/helpers/application_helper/button/vm_snapshot_add.rb#L3

We should allow create Snapshot task if user's role allows the task and if back-end supports create_snapshot task for the VM.

Let me know if you have questions.

Thanks,
~Harpreet

Comment 6 CFME Bot 2017-03-07 09:02:53 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/eb4329e659ad57f24e07bbef02bd6b88131d718d

commit eb4329e659ad57f24e07bbef02bd6b88131d718d
Author:     Brian McLaughlin <bmclaugh@redhat.com>
AuthorDate: Mon Mar 6 14:10:28 2017 -0500
Commit:     Brian McLaughlin <bmclaugh@redhat.com>
CommitDate: Mon Mar 6 14:11:50 2017 -0500

    Allow user to create snapshot without an active snapshot
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1425591

 app/helpers/application_helper/button/vm_snapshot_add.rb | 12 +++---------
 1 file changed, 3 insertions(+), 9 deletions(-)

Comment 7 CFME Bot 2017-03-07 09:02:58 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/45ea663c86f0cb9ff548c2c7f145c21f0f3f5754

commit 45ea663c86f0cb9ff548c2c7f145c21f0f3f5754
Author:     Brian McLaughlin <bmclaugh@redhat.com>
AuthorDate: Mon Mar 6 14:11:40 2017 -0500
Commit:     Brian McLaughlin <bmclaugh@redhat.com>
CommitDate: Mon Mar 6 14:11:50 2017 -0500

    Spec test
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1425591

 .../buttons/vm_snapshot_add_spec.rb                | 28 ++++++++++++++--------
 1 file changed, 18 insertions(+), 10 deletions(-)

Comment 8 Aziza Karol 2017-03-08 09:47:28 UTC
Able to create snapshot when there is no active snapshot existing for a VM.

Verified:5.8.0.4.20170307183144_745a3d9

Comment 10 errata-xmlrpc 2017-05-31 14:35:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.